#include <balancer/modules/factory/common.h>
#include <balancer/kernel/module/iface.h>
#include <balancer/kernel/module/node.h>
#include <balancer/kernel/process/main.h>

#include <util/generic/yexception.h>

using namespace NSrvKernel;
using namespace NModulesFactory;

int main(int argc, char** argv) noexcept try {
    TNodeFactory<IModule> factory(CommonModules());
    return RunMain(argc, argv, &factory);
} catch (...) {
    Cerr << CurrentExceptionMessage() << Endl;

    return 1;
}
